# -------------------------------------------------------------------------- #
# Copyright 2002-2019, OpenNebula Project, OpenNebula Systems                #
#                                                                            #
# Licensed under the Apache License, Version 2.0 (the "License"); you may    #
# not use this file except in compliance with the License. You may obtain    #
# a copy of the License at                                                   #
#                                                                            #
# http://www.apache.org/licenses/LICENSE-2.0                                 #
#                                                                            #
# Unless required by applicable law or agreed to in writing, software        #
# distributed under the License is distributed on an "AS IS" BASIS,          #
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.   #
# See the License for the specific language governing permissions and        #
# limitations under the License.                                             #
#--------------------------------------------------------------------------- #

module VNMMAD
    class NoVLANDriver< VNMMAD::VLANDriver
        def initialize(vm, xpath_filter, deploy_id = nil)
            @locking = true

            super(vm, xpath_filter, deploy_id)
        end

        def create_vlan_dev
            true
        end

        def delete_vlan_dev
            true
        end

    private
        def gen_vlan_dev_name
            @nic[:vlan_dev] = @nic[:phydev] if @nic[:phydev]
        end

        def validate_vlan_id
            true
        end
    end
end
